### Function

# EDataCal CalBackend mail_account_is_valid

#### Declaration [src]

    gboolean
    e_cal_backend_mail_account_is_valid (
      ESourceRegistry* registry,
      const gchar* user,
      gchar** name
    )

#### Description [src]

Checks that a mail account is valid, and returns its name.

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

`user`

  Type: `const gchar*`

  User name for the account to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `gchar**`

  Placeholder for the account name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if the account is valid, FALSE if not.